@echo off

del /F /Q *.o *.a 2>nul

if "%1"=="clean" (
    echo OK
    exit /b 0
) 

set GCC_FLAGS=-mcpu=cortex-m3 -DUSE_MDR1986VE9x -Wall -ffunction-sections -mthumb -I%FXRTOS% -I%LIBCANOPEN% -I%CANOPEN%\include -I. -c
call set OBJS=

for %%f in (*.c) do (
    echo Compiling %%f...
    %GCC_PREFIX%gcc %GCC_FLAGS% -o %%~nf.o %%f
    call set OBJS=%%OBJS%% %%~nf.o
)

echo Creating library...
%GCC_PREFIX%ar rcs libcanopendrv.a %OBJS%

