#ifndef __APPLICFG_PORTS_FXRTOS_H__
#define __APPLICFG_PORTS_FXRTOS_H__

#include <string.h>
#include <stdint.h>
#include <stddef.h>

// Integers
#define INTEGER8          int8_t
#define INTEGER16         int16_t
#define INTEGER24         int32_t
#define INTEGER32         int32_t
#define INTEGER40         int64_t
#define INTEGER48         int64_t
#define INTEGER56         int64_t
#define INTEGER64         int64_t

// Unsigned integers
#define UNS8              uint8_t
#define UNS16             uint16_t
#define UNS24             uint32_t
#define UNS32             uint32_t
#define UNS40             uint64_t
#define UNS48             uint64_t
#define UNS56             uint64_t
#define UNS64             uint64_t

// Reals
#define REAL32            float
#define REAL64            double

//  MSG functions not finished, the strings have to be placed to the flash and  printed out using the printf_P function

// Definition of error and warning macros
#define MSG(...)

// Definition of MSG_ERR
#define MSG_ERR(num, str, val)

// Definition of MSG_WAR
#define MSG_WAR(num, str, val)


typedef void* CAN_HANDLE;
typedef void* CAN_PORT;

#define  FALSE                           0
#define  TRUE                            1


#endif
