@echo off

del /F /Q *.o *.elf *.hex 2>nul

set GCC_FLAGS=-mcpu=cortex-m3 -Wall -ffunction-sections -mthumb -Iinclude -I. -c

call set OBJS=startup.o

%GCC_PREFIX%gcc -mcpu=cortex-m3 -mthumb -I . -c -o startup.o startup.S

for %%f in (*.c) do (
    echo Compiling %%f...
    %GCC_PREFIX%gcc -mcpu=cortex-m3 -O2 -mthumb --function-sections -I . -I include -c -o %%~nf.o %%f
    call set OBJS=%%OBJS%% %%~nf.o
)

echo Linking %OBJS%...
%GCC_PREFIX%gcc -mthumb -mcpu=cortex-m3 -Wl,--gc-sections -u _vectors -nostartfiles -T LPC1768.ld -o fxrtos_demo.elf %OBJS% libfxnet.a libfxrtos.a libenetdrv.a
%GCC_PREFIX%objcopy --target ihex fxrtos_demo.elf fxrtos_demo.hex
