/*
Demo application for FX-RTOS.

Copyright (C) 2008-2012 Eremex Ltd. www.eremex.com
*/

#include "lpc17xx.h"

//----------------------------------------------------------------------------------------------------

void led_init(void)
{
  LPC_SC->PCONP |= ( 1 << 15 );  
  LPC_GPIO1->FIODIR |= 15 << 28; 
}

void led_on(int num)
{
  switch(num)
  {
  case 0: num = 28; break;
  case 1: num = 29; break;
  case 2: num = 31; break;
  }

  LPC_GPIO1->FIOPIN |= 1 << num;  
}

void led_off(int num)
{
  switch(num)
  {
  case 0: num = 28; break;
  case 1: num = 29; break;
  case 2: num = 31; break;
  }

  LPC_GPIO1->FIOPIN &= ~( 1 << num ); 
}

