@echo off
set LWIP=..\..\lwip-1.4.0

del /F /Q *.o *.a 2>nul

set GCC_FLAGS=-mcpu=cortex-m4 -mfpu=fpv4-sp-d16 -mfloat-abi=hard -DSTM32F407xx -DUSE_HAL_DRIVER -Wall -ffunction-sections -mthumb -I%FXRTOS% -I%FXNET%\include -I. -c
call set OBJS=

for %%f in (*.c) do (
    echo Compiling %%f...
    %GCC_PREFIX%gcc %GCC_FLAGS% -o %%~nf.o %%f
    call set OBJS=%%OBJS%% %%~nf.o
)

echo Creating library...
%GCC_PREFIX%ar rcs libenetdrv.a %OBJS%

