/**
**************************************************************************************************
* @file   ethernetif.h
* @brief  Interface of Ethernet driver for LPC17xx to LwIP
**************************************************************************************************
* Copyright(C) 2020 Eremex
* All rights reserved.
* ************************************************************************************************/

#ifndef __ETHERNETIF_H__
#define __ETHERNETIF_H__

#include "lwip/err.h"
#include "lwip/netif.h"

#define LAN8720_PHY_ADDRESS             0

err_t ethernetif_init(struct netif *netif);
void ethernetif_input(void* argument);

uint32_t HAL_GetTick(void);

#endif
