@echo off

del /F /Q *.o *.a 2>nul

if "%1"=="clean" (
    echo OK
    exit /b 0
)
 
set GCC_FLAGS=-DUSE_MDR1986VE9x -mcpu=cortex-m3 -O2 -ffunction-sections -mthumb -I. -c
call set OBJS=

copy %USB%\device\usbdevapi.h .

for %%f in (*.c) do (
    echo Compiling %%f...
    %GCC_PREFIX%gcc %GCC_FLAGS% -o %%~nf.o %%f
    call set OBJS=%%OBJS%% %%~nf.o
)

echo Creating library...
%GCC_PREFIX%ar rcs libusbdevdrv.a %OBJS%
