@echo off

del /F /Q *.o emac.so 2>nul

set CFLAGS=-O2 -std=c99 -DDEBUG -DDEBUG_MASK=1 -Wall -pedantic -Wextra -mno-unaligned-access -z max-page-size=0x1000 -I%FXRTOS_SDK%\include -I%FXRTOS_SDK%\include\native -I%FXNET%\include
set SO_CFLAGS=-fPIC -Wl,-shared -Wl,-z,defs
set LDFLAGS=-Xlinker --dynamic-linker=libfxrtos.so -nostartfiles -Xlinker --build-id=none
set LLIBS=-Xlinker -L %FXRTOS_SDK%\lib -Xlinker -lfxrtos %FXRTOS_SDK%\lib\libc.a
set SO_LDSCR=%FXRTOS_SDK%\ld_scripts\libso-gnu.ld

%GCC_PREFIX%gcc %CFLAGS% %SO_CFLAGS% %LDFLAGS% -T %SO_LDSCR% -o emac.so emac.c emacd.c emacif.c %LLIBS%
