@echo off

del /F /Q *.o *.a 2>nul

set GCC_FLAGS=-mcpu=cortex-m3 -Wall -ffunction-sections -mthumb -I%FXRTOS% -I%FXNET%\include -I. -c
call set OBJS=

for %%f in (*.c) do (
    echo Compiling %%f...
    %GCC_PREFIX%gcc %GCC_FLAGS% -o %%~nf.o %%f
    call set OBJS=%%OBJS%% %%~nf.o
)

echo Creating library...
%GCC_PREFIX%ar rcs libenetdrv.a %OBJS%

